# std::list< _Tp, _Alloc > Class Template Reference
[Containers, Sequences]

`#include <stl_list.h>`

List of all members.

## Detailed Description

### template<typename _Tp, typename _Alloc = allocator<_Tp>>
class std::list< _Tp, _Alloc >

Meets the requirements of a container, a reversible container, and a sequence, including the optional sequence requirements with the exception of `at` and `operator[]`.

Todo:
  Doc me! See docs/doxygen/TODO and http://gcc.gnu.org/ml/libstdc++/2002-02/msg00003.html for more.

Definition at line 291 of file stl_list.h.

The documentation for this class was generated from the following file:

- stl_list.h